# adb-driver

## usage

sample1

```javascript
const ADBDriver = require('adb-driver')

ADBDriver.exeCommand(`adb devices`)
  .then((result) => {
    if (result instanceof Error) {
      console.error(`fail to execute adb devices`) 
      return 
    }
    
    console.info(`you can parse your devices info here: ${result}`)
  })

```

sample2

```javascript
const ADBDriver = require('adb-driver')

async function getDevices (callback) {
  const result = await adbDriver.execCommand(`adb devices`)
  if (result instanceof Error) {
    console.error(`fail to execute adb devices`)
    return callback(result)
  }
  
  console.log(`you can parse your devices info here`)
  callback(null, result)
}
```

